// 值班
import request from '@/utils/request'

// 导航栏
export function index(params) {
  return request({
    url: '/api/oa/on-duty-schedules/index',
    method: 'get',
    params
  })
}
export function show(params, isLoading = true) {
  return request({
    method: 'get',
    url: '/api/oa/on-duty-schedules/show',
    params,
    isLoading
  })
}

export function save(data, isLoading = true) {
  return request({
    method: 'post',
    url: '/api/oa/on-duty-schedules/save',
    data,
    isLoading
  })
}

export function destroy(params, isLoading = true) {
  return request({
    method: 'get',
    url: '/api/oa/on-duty-schedules/destroy',
    params,
    isLoading
  })
}
